/***************************************************************************
*   Copyright (C) 2004 by Hideki Ikemoto , (c) 2004 by 421                *
*   ikemo@users.sourceforge.jp                                            *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
***************************************************************************/
#ifndef KITABBSTABWIDGET_H
#define KITABBSTABWIDGET_H

#include "kitaui/tabwidgetbase.h"

class QFont;

namespace Kita
{

    class BBSTabWidget : public TabWidgetBase
    {
        Q_OBJECT

    public:
        explicit BBSTabWidget(QWidget* parent);
        ~BBSTabWidget();

    public slots:
        void showBoardList();
        void updateBoardList();
        void setFont(const QFont& font);
        void loadOpened();
    };
}

#endif
