/***************************************************************************
*   Copyright (C) 2003 by Hideki Ikemoto                                  *
*   ikemo@users.sourceforge.jp                                            *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
***************************************************************************/
#ifndef KITAFAVORITELISTVIEW_H
#define KITAFAVORITELISTVIEW_H

#include "threadlistview.h"

namespace Kita {
    /**
     *
     * @author Hideki Ikemoto <ikemo@users.sourceforge.jp>
     **/
    class FavoriteListView : public ThreadListView
    {
        Q_OBJECT

    public:
        explicit FavoriteListView(QWidget* parent = 0);

        void refresh();

    private slots:
        void loadThread(QTableWidgetItem* item);
        void reload();
    };
}

#endif
