/**************************************************************************
*   Copyright (C) 2003 by Hideki Ikemoto , (c)2004 by 421                 *
*   ikemo@wakaba.jp                                                       *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
**************************************************************************/
#ifndef KITAUTF8_H
#define KITAUTF8_H
/* UTF-8 japanese strings  */

const char KITAUTF8_ZENSPACE[] = "　";
const char KITAUTF8_EXTRACT[] = "抽出";
const char KITAUTF8_NOWRENEW[] = " 更新中・・・";
const char KITAUTF8_NOWEXPAND[] = " 展開中・・・";
const char KITAUTF8_INCACHE[] = "キャッシュ済";
const char KITAUTF8_KOKOYON[]  = "ここまで読んだ";
const char KITAUTF8_KOKOYON2[] = "──────────ここまで読んだ──────────";
const char KITAUTF8_TEMPLATE[] = "──────────テンプレート──────────";
const char KITAUTF8_COLON[] = "：";
const char KITAUTF8_BTITLE[] = "板看板";
const char KITAUTF8_NAME[] = "名前：";
const char KITAUTF8_SAIGO[] = "最後";
const char KITAUTF8_KOWARE[] = "ここは壊れています。";
const char KITAUTF8_ABONE[] = "あぼーん";
const char KITAUTF8_GOTO[] = "移動";
const char KITAUTF8_FRAME1[] = "│";
const char KITAUTF8_FRAME2[] = "├";
const char KITAUTF8_FRAME3[] = "└";

const char KITAUTF8_HEART[] = "♥";
const char KITAUTF8_DIA[] = "♦";
const char KITAUTF8_CLUB[] = "♣";
const char KITAUTF8_SPADE[] = "♠";

/* for writing */

const char KITAUTF8_WRITEERROR[] = "ＥＲＲＯＲ";
const char KITAUTF8_WRITETRUE[] = "書きこみました";
const char KITAUTF8_WRITECOOKIE[] = "書き込み確認";
const char KITAUTF8_WRITECOOKIEMSG[] = "投稿確認\n・投稿者は、投稿に関して発生する責任が全て投稿者に帰すことを承諾します。\n・投稿者は、話題と無関係な広告の投稿に関して、相応の費用を支払うことを承諾します\n・投稿者は、投稿された内容及びこれに含まれる知的財産権、（著作権法第21条ないし第28条に規定される権利も含む）その他の権利につき（第三者に対して再許諾する権利を含みます。）、掲示板運営者に対し、無償で譲渡することを承諾します。ただし、掲示板運営者は、投稿者に対して日本国内外において無償で非独占的に複製、公衆送信、頒布及び翻訳する権利を投稿者に許諾します。また、投稿者は掲示板運営者が指定する第三者に対して、一切の権利（第三者に対して再許諾する権利を含みます）を許諾しないことを承諾します。\n・投稿者は、掲示板運営者あるいはその指定する者に対して、著作者人格権を一切行使しないことを承諾します。\n\n全責任を負うことを承諾して書き込みますか\n";
const char KITAUTF8_WRITENEWTHREAD[] = "書き込みに関して様々なログ情報が記録されています。\n公序良俗に反したり、他人に迷惑をかける書き込みは控えて下さい";
#endif
