/***************************************************************************
*   Copyright (C) 2003 by Hideki Ikemoto                                  *
*   ikemo@users.sourceforge.jp                                            *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
***************************************************************************/

#include "uiprefpage.h"

#include <ktoolinvocation.h>

using namespace Kita;

UIPrefPage::UIPrefPage(QWidget* parent) : AbstractPrefPage(parent)
{
    setupUi(this);
    load();
    connect(editFileAssociation, SIGNAL(leftClickedUrl()),
            SLOT(slotEditFileAssociation()));
}

void UIPrefPage::apply()
{
}

void UIPrefPage::load()
{
}

void UIPrefPage::reset()
{
    kcfg_AlwaysUseTab->setChecked(true);
    kcfg_MarkTime->setValue(24);
    kcfg_ShowMailAddress->setChecked(false);
    kcfg_ShowNum->setValue(100);
    //kcfg_ListSortOrder->setButton(GlobalConfig::EnumListSortOrder::Mark);TODO
    kcfg_PartMimeList->setText("image/gif,image/jpeg,image/png,image/x-bmp");
    kcfg_UsePart->setChecked(true);
}

void UIPrefPage::slotEditFileAssociation()
{
    KToolInvocation::kdeinitExec("kcmshell", QStringList("filetypes"));
}
