/***************************************************************************
*   Copyright (C) 2003 by Hideki Ikemoto                                  *
*   ikemo@users.sourceforge.jp                                            *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
***************************************************************************/

#ifndef KITAUIPREFPAGE_H
#define KITAUIPREFPAGE_H

#include "abstractprefpage.h"
#include "ui_uiprefbase.h"

namespace Kita
{
    class UIPrefPage : public AbstractPrefPage, public Ui::UIPrefBase
    {
        Q_OBJECT
    public:
        UIPrefPage(QWidget* parent = 0);
        virtual void apply();
        virtual void load();
        virtual void reset();

    private slots:
        /// open 'file association setting dialog'
        void slotEditFileAssociation();
    };
}

#endif // KITAUIPREFPAGE_H
