/***************************************************************************
*   Copyright (C) 2003 by Hideki Ikemoto                                  *
*   ikemo@users.sourceforge.jp                                            *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
***************************************************************************/

#ifndef KITAWRITEPREFPAGE_H
#define KITAWRITEPREFPAGE_H

#include "abstractprefpage.h"
#include "ui_writeprefbase.h"

namespace Kita
{
    class WritePrefPage : public AbstractPrefPage, public Ui::WritePrefBase
    {
        Q_OBJECT
    public:
        WritePrefPage(QWidget* parent = 0);
        virtual void apply();
        virtual void load();
        virtual void reset();
    private slots:
        void slotToggled(bool on);
    };
}

#endif // KITAWRITEPREFPAGE_H
