Summary: 2ch client for KDE
Summary(ja): KDE 用 2ch ブラウザ
Name: kita
Version: @VERSION@
Release: 1
URL: http://sourceforge.jp/projects/kita/
Source: kita-%{version}.tar.bz2
License: GPL
Group: Application/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-root
%if 0%{?suse_version}
BuildRequires: libkde4-devel
%kde4_runtime_requires
%else
BuildRequires: gcc-c++
BuildRequires: kdelibs-devel >= 4.2
Requires: kdelibs >= 4.2
%endif

%description
Kita is a 2ch client for KDE.

%description -l ja
Kita は KDE 用 2ch ブラウザです。

%prep
%setup -q

%build
%if 0%{?suse_version}
%cmake_kde4 -d build
%make_jobs
%else
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake_kde4 ..
popd
make %{?_smp_mflags} -C %{_target_platform}
%endif

%install
%if 0%{?suse_version}
cd build
%makeinstall
%else
make install DESTDIR=%{buildroot} -C %{_target_platform}
%endif
strip --strip-unneeded %{buildroot}/%{_libdir}/lib%{name}*.so*.*.*
strip %{buildroot}/%{_bindir}/%{name}
rm %{buildroot}/%{_libdir}/lib%{name}*.so

%if 0%{?suse_version}
%suse_update_desktop_file %{name}
%kde_post_install
%endif

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
%files
%defattr(-, root, root)
#%doc AUTHORS COPYING ChangeLog NEWS README README.2ch TODO
%{_bindir}/%{name}
%{_libdir}/lib%{name}*.so*
%{_datadir}/applications/kde4/%{name}.desktop
%dir %{_datadir}/kde4/apps/%{name}
%{_datadir}/kde4/apps/%{name}/*ui.rc
%if 0%{?suse_version}
%{_datadir}/kde4/config.kcfg/*.kcfg
%else
%{_kde4_datadir}/config.kcfg/*.kcfg
%endif
%{_datadir}/icons/hicolor/16x16/actions/*.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%lang(ja) %{_datadir}/locale/ja/LC_MESSAGES/%{name}.mo
%if 0%{?suse_version}
%dir %{_datadir}/doc/kde/HTML/en/%{name}
%{_datadir}/doc/kde/HTML/en/%{name}/common
%{_datadir}/doc/kde/HTML/en/%{name}/index.cache.bz2
%{_datadir}/doc/kde/HTML/en/%{name}/index.docbook
%else
%dir %{_kde4_docdir}/HTML/en/%{name}
%{_kde4_docdir}/HTML/en/%{name}/common
%{_kde4_docdir}/HTML/en/%{name}/index.cache.bz2
%{_kde4_docdir}/HTML/en/%{name}/index.docbook
%endif

%changelog
* Sun Nov 21 2004 Hideki Ikemoto<ikemo@users.sourceforge.jp> - 0.173.0 
- remove kitapart/kita*ui.rc

* Sat Oct 07 2004 Hideki Ikemoto<ikemo@users.sourceforge.jp>
- set %%{_prefix} if SuSE

* Sat May 15 2004 Hideki Ikemoto<ikemo@users.sourceforge.jp>
- add 'Serial' field (comment)

* Sat Dec 13 2003 Hideki Ikemoto<ikemo@users.sourceforge.jp>
- don't use %%configure

* Mon Oct 13 2003 Hideki Ikemoto<ikemo@users.sourceforge.jp>
- add files

* Wed Mar 03 2003 Hideki Ikemoto<ikemo@users.sourceforge.jp>
- initial release.
