/***************************************************************************
*   Copyright (C) 2004 by Hideki Ikemoto , (c) 2004 by 421                *
*   ikemo@users.sourceforge.jp                                            *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
***************************************************************************/

#include "bbstabwidget.h"

#include <klocale.h>

#include "bbsview.h"

using namespace Kita;

BBSTabWidget::BBSTabWidget(QWidget* parent) : TabWidgetBase(parent)
{
    BBSView * view = new BBSView(this);
    addTab(view, i18nc("@title:tab", "Board Name"));
}


BBSTabWidget::~BBSTabWidget() {}


/* public slot */
void BBSTabWidget::showBoardList()
{
    static_cast<BBSView*>(widget(0))->showBoardList();
}

void BBSTabWidget::updateBoardList()
{
    static_cast<BBSView*>(widget(0))->updateBoardList();
}

/* public slot */
void BBSTabWidget::setFont(const QFont& font)
{
    KTabWidget::setFont(font);
    static_cast<BBSView*>(widget(0))->setFont(font);
}


void BBSTabWidget::loadOpened()
{
    static_cast<BBSView*>(widget(0))->loadOpened();
}
