/***************************************************************************
*   Copyright (C) 2003 by Hideki Ikemoto                                  *
*   ikemo@users.sourceforge.jp                                            *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
***************************************************************************/

#ifndef KITAHTMLVIEW_H
#define KITAHTMLVIEW_H

#include <khtmlview.h>

namespace Kita {
    /**
    @author Hideki Ikemoto
    */
    class KDE_EXPORT HTMLView : public KHTMLView
    {
        Q_OBJECT
    public:
        HTMLView(KHTMLPart* part, QWidget *parent);
        ~HTMLView();
    protected:
        void leaveEvent(QEvent*);
        void keyPressEvent(QKeyEvent* e);
        void wheelEvent(QWheelEvent * e);

    private:
        bool emitPushDown();

    signals:
        void leave();
        void pushDown();
    };
}

#endif
