/***************************************************************************
*   Copyright (C) 2004 by Kita Developers                                 *
*   ikemo@users.sourceforge.jp                                            *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
***************************************************************************/

#include "listviewitem.h"

using namespace Kita;

ListViewItem::ListViewItem(QTreeWidget *parent, QTreeWidgetItem *preceding,
        const QStringList& strings)
        : QTreeWidgetItem(parent, preceding)
{
    for (int i = 0, j = strings.size(); i < j; i++)
        setText(i, strings.at(i));
}

ListViewItem::ListViewItem(QTreeWidget *parent, const QStringList& strings)
        : QTreeWidgetItem(parent, strings)
{
}

ListViewItem::ListViewItem(QTreeWidgetItem* parent, QTreeWidgetItem *preceding,
        const QStringList& strings)
        : QTreeWidgetItem(parent, preceding)
{
    for (int i = 0, j = strings.size(); i < j; i++)
        setText(i, strings.at(i));
}

ListViewItem::ListViewItem(QTreeWidgetItem* parent, const QStringList& strings)
        : QTreeWidgetItem(parent, strings)
{
}
