/***************************************************************************
*   Copyright (C) 2004 by Kita Developers                                 *
*   ikemo@users.sourceforge.jp                                            *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
***************************************************************************/

#ifndef KITALISTVIEWITEM_H
#define KITALISTVIEWITEM_H

#include <QtGui/QTreeWidgetItem>

#include <kdemacros.h>

namespace Kita
{
    class KDE_EXPORT ListViewItem : public QTreeWidgetItem
    {
    public:

        ListViewItem(QTreeWidget *parent, QTreeWidgetItem *preceding,
                const QStringList& strings);

        ListViewItem(QTreeWidget *parent, const QStringList& strings);

        ListViewItem(QTreeWidgetItem *parent, QTreeWidgetItem *preceding,
                const QStringList& strings);

        ListViewItem(QTreeWidgetItem *parent, const QStringList& strings);
    };
}

#endif
