/***************************************************************************
*   Copyright (C) 2003 by Hideki Ikemoto                                  *
*   ikemo@users.sourceforge.jp                                            *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
***************************************************************************/

#ifndef KITAABSTRACTPREFPAGE_H
#define KITAABSTRACTPREFPAGE_H

#include <QtGui/QWidget>

namespace Kita
{
    class AbstractPrefPage : public QWidget
    {
        Q_OBJECT
    public:
        explicit AbstractPrefPage(QWidget* parent = 0);
        virtual void apply() = 0;
        virtual void load() = 0;
        virtual void reset() = 0;

    signals:
        void changed();
    };
}

#endif // KITAABSTRACTPREFPAGE_H
