/***************************************************************************
*   Copyright (C) 2003 by Hideki Ikemoto                                  *
*   ikemo@users.sourceforge.jp                                            *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
***************************************************************************/

#ifndef KITAFACEPREFPAGE_H
#define KITAFACEPREFPAGE_H

#include "abstractprefpage.h"
#include "ui_faceprefbase.h"

namespace Kita
{
    class FacePrefPage : public AbstractPrefPage, public Ui::FacePrefBase
    {
        Q_OBJECT
    public:
        FacePrefPage(QWidget* parent = 0);
        virtual void apply();
        virtual void load();
        virtual void reset();

    private slots:
        void slotFontButtonClicked();
        void slotPopupFontButtonClicked();
        void slotThreadFontButtonClicked();

    signals:
        void fontChanged(const QFont&);
    };
}

#endif // KITAFACEPREFPAGE_H
