/***************************************************************************
*   Copyright (C) 2004 by Kita Developers                                 *
*   ikemo@users.sourceforge.jp                                            *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
***************************************************************************/
#ifndef KITATHREADLISTVIEWITEM_H
#define KITATHREADLISTVIEWITEM_H

#include <QtGui/QTableWidgetItem>

enum ThreadListCol {
    ColumnBegin = 0,
    ColumnMark = 0,
    ColumnId,
    ColumnIcon,
    ColumnSubject,
    ColumnResNum,
    ColumnReadNum,
    ColumnViewPos,
    ColumnUnread,
    ColumnSince,
    ColumnSpeed,
    ColumnBoard,
    ColumnDatUrl,
    ColumnIdOrder,
    ColumnEnd = ColumnIdOrder
};

namespace Kita
{
    /* for BoardView */
    class ThreadListViewItem : public QTableWidgetItem
    {
    public:
        ThreadListViewItem(int column);

        virtual bool operator<(const QTableWidgetItem& other) const;

    private:
        int m_column;
    };
}

#endif
